$(function () {
    function ValidTemp() {
        var ProductName = $("#ProductName"),
        DomainRoot = $("#DomainRoot"),
        allFields = $([])
                .add(ProductName)
                .add(DomainRoot);
        var bValid = true;
        allFields.removeClass("ui-state-error");
        if (ProductName[0])
            {
            bValid = bValid && checkLength(ProductName, "产品名称", 1, 50);
        }
        if (DomainRoot[0])
            {
            bValid = bValid && checkLength(DomainRoot, "域名", 1, 50);
        }
        return bValid;
    };
    $(".hand").click(function () {
        if ($(this).attr("checked") == "checked")
        {
            $("._show1").css("display", "none");
            $("._show2").css("display", "");
        }else
        {
            $("._show1").css("display", "");
            $("._show2").css("display", "none");
        }
    });
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
    var DefaultColor = $('#TitleColor').val();
    if (DefaultColor == '') {
        DefaultColor = 'black';
        $('#TitleColor').val(DefaultColor);
    }
    $('#TitleColor').css('backgroundColor', DefaultColor);
    $('#TitleColor').ColorPicker({
        color: $('#TitleColor').val(),
        onShow: function (colpkr) {
            $(colpkr).fadeIn(500);
            return false;
        },
        onHide: function (colpkr) {
            $(colpkr).fadeOut(500);
            return false;
        },
        onChange: function (hsb, hex, rgb) {
            $('#TitleColor').css('backgroundColor', '#' + hex);
            $('#TitleColor').val('#' + hex);
        }
    });
});